Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator
Class OperatorModule

    java.lang.Object
      Operator.OperatorModule

All Implemented Interfaces:
  Module, Operator, Stochastic

Direct Known Subclasses:
  CrossoverModule, FitnessEvaluator, JoinOperator, MutationOperator, SourceModule

    public abstract class OperatorModule

extends java.lang.Object
implements Operator, Stochastic

Abstract class for Modules with operations. The OperatorModule performes its operation oon a population.

Author:
  Conor

Field Summary
`protected Population` | `population`
`protected RandomNumberGenerator` | `rng`

Constructor Summary
`OperatorModule()` Creates a new instance of OperatorModule
`OperatorModule(RandomNumberGenerator rng)` Creates a new instance of OperatorModule

Method Summary
`RandomNumberGenerator` | `getRNG()` Get the randomnumbergenerator
`abstract void` | `perform()` Performs the operation on the population
`void` | `setPopulation(Population p)` Set the population that the module will operate on
`void` | `setRNG(RandomNumberGenerator m)` Set the RandomNumberGenerator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface Operator.Operator
`getOperation, setOperation`

Field Detail

### rng

    protected RandomNumberGenerator rng

### population

    protected Population population

Constructor Detail

### OperatorModule

    public OperatorModule(RandomNumberGenerator rng)

  Creates a new instance of OperatorModule

  Parameters:
    `rng` - random number generator

### OperatorModule

    public OperatorModule()

  Creates a new instance of OperatorModule

Method Detail

### perform

    public abstract void perform()

  Description copied from interface: `Module`
  Performs the operation on the population

  Specified by:
    `perform` in interface `Module`

### setRNG

    public void setRNG(RandomNumberGenerator m)

  Set the RandomNumberGenerator

  Specified by:
    `setRNG` in interface `Stochastic`
  Parameters:
    `m` - RandomNumberGenerator

### getRNG

    public RandomNumberGenerator getRNG()

  Get the randomnumbergenerator

  Specified by:
    `getRNG` in interface `Stochastic`
  Returns:
    RandomNumberGenerator

### setPopulation

    public void setPopulation(Population p)

  Set the population that the module will operate on

  Specified by:
    `setPopulation` in interface `Module`
  Parameters:
    `p` - Population

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD